rte_eth_recycle_rxq_info(3)

NAME
rte_eth_recycle_rxq_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct rte_mbuf ** mbuf_ring
struct rte_mempool * mp
uint16_t * refill_head
uint16_t * receive_tail
uint16_t mbuf_ring_size
uint16_t refill_requirement

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Ethernet device Rx queue information structure for recycling mbufs. Used to retrieve Rx queue information when Tx queue reusing mbufs and moving them into Rx mbuf ring.

Definition at line 1928 of file rte_ethdev.h.

Field Documentation

  struct rte_mbuf** mbuf_ring
mbuf ring of Rx queue.

Definition at line 1929 of file rte_ethdev.h.

  struct rte_mempool* mp
mempool of Rx queue.

Definition at line 1930 of file rte_ethdev.h.

  uint16_t* refill_head
head of Rx queue refilling mbufs.

Definition at line 1931 of file rte_ethdev.h.

  uint16_t* receive_tail
tail of Rx queue receiving pkts.

Definition at line 1932 of file rte_ethdev.h.

  uint16_t mbuf_ring_size
configured number of mbuf ring size.

Definition at line 1933 of file rte_ethdev.h.

  uint16_t refill_requirement
Requirement on mbuf refilling batch size of Rx mbuf ring. For some PMD drivers, the number of Rx mbuf ring refilling mbufs should be aligned with mbuf ring size, in order to simplify ring wrapping around. Value 0 means that PMD drivers have no requirement for this.

Definition at line 1941 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.